Subject: Re: [ofa-general] Re: [PATCH 02/11] IB/ipoib: Notify the world before doing unregister

From: Moni Shoua <[email-masked]>
Date: Wed, 19 Sep 2007 19:41:57 +0300

Roland, Jay, 
Thanks a lot for the comments.
I'd like to summarize the points raised so far

1. Reduce the indentation in patch #4 (Roland)
	I will resend
2. Remove the "if (n->dev->flags & IFF_MASTER)" from patch #3 (Roland)
	I will resend
3. Consider making ipoib_slave_detach() net/core/dev.c (Roland, Jay)
	I think that this is a good idea. I can make the patch (and necessary changes to 
	the other patches) assuming this is agreed by all.
4. Change header for patch #1 (Roland)
	I will resend
5. Use NETDEV_GOING_DOWN and not NETDEV_CHANGE + IFF_SLAVE_DETACH (Jay)
	The  NETDEV_GOING_DOWN event is sent in the contex of unregister_netdevice() 
	Since the action in bonding to the event should be unregister the bonding master
	it is not possible to do so. bonding needs to know about the slave detach earlier.
6. call notifiers from unregister_netdev()
	See answer to 5.
7. missing call to notifiers in ipoib_vlan_delete() (Roland)
	It seems like you're right. I will fix and resend.

I think that if there are no other comments, I will submit the entire 11 patches 
again (with changes) to make it easier to merge into the kernel. Since the most of the 
content in the patch series is in bonding I thought it would be right that Jay will 
push all the patches to the networking git. Is it OK with you Roland?